Bug 832007 - Review Request: mingw-webkitgtk3 - MinGW Windows GTK+ Web content engine library
Review Request: mingw-webkitgtk3 - MinGW Windows GTK+ Web content engine library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paweł Forysiuk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 05:37 EDT by Kalev Lember
Modified: 2012-06-29 02:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-webkitgtk3-1.8.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 02:54:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tuxator: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-06-14 05:37:33 EDT
Spec URL: http://kalev.fedorapeople.org/mingw-webkitgtk3.spec
SRPM URL: http://kalev.fedorapeople.org/mingw-webkitgtk3-1.8.1-1.fc17.src.rpm
Description:
WebKitGTK+ is an open-source Web content engine library.
This package contains the shared libraries for the WebKit GTK+ port
as well as the sample GtkLauncher tool.

This is the MinGW port of WebKitGTK+ for GTK+ 3.
Comment 1 Kalev Lember 2012-06-14 05:41:19 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4161328
Comment 2 Paweł Forysiuk 2012-06-28 15:13:56 EDT
Fedora review of mingw-webkitgtk3-1.8.1-1.fc17.src.rpm 2012-06-28


[+] rpmlint must be run on the source rpm and all binary rpms the build produces

rpmlint mingw-webkitgtk3.spec mingw-webkitgtk3-1.8.1-1.fc17.src.rpm mingw32-webkitgtk3-debuginfo-1.8.1-1.fc17.noarch.rpm mingw32-webkitgtk3-1.8.1-1.fc17.noarch.rpm mingw64-webkitgtk3-debuginfo-1.8.1-1.fc17.noarch.rpm mingw64-webkitgtk3-1.8.1-1.fc17.noarch.rpm 

mingw-webkitgtk3.src: I: enchant-dictionary-not-found en_US
mingw32-webkitgtk3-debuginfo.noarch: E: debuginfo-without-sources
mingw64-webkitgtk3-debuginfo.noarch: E: debuginfo-without-sources
5 packages and 1 specfiles checked; 2 errors, 0 warnings.

   Warnings from rpmlint output are a false positive.

[+] Package is named according to the Package Naming Guidelines (For MinGW packages).
[+] The spec file name match the base package %{name}
[+] Package is licensed with Fedora approved license.
[+] License filed in package matches actual license.
[+] Other included licenses are packaged in %doc
[+] Spec file is written in American English
[+] Spec file is legible
[+] Source used to build matches the upstream source

sha1sum webkit-1.8.1.tar.xz ~/rpmbuild/SOURCES/webkit-1.8.1.tar.xz 
d26543baace03c31aa3de82bc24f06f14c6b3052  webkit-1.8.1.tar.xz
d26543baace03c31aa3de82bc24f06f14c6b3052  /home/pawel/rpmbuild/SOURCES/webkit-1.8.1.tar.xz

[+] Package compiles and builds successfully
[+] Locales are handled properly
[+] Package does not bundle system libraries
[+] Package owns all directories it creates
[+] Permissions are properly set
[+] All filenames are valid UTF-8 


Package works very nice when used with cross-compiled Midori browser
Comment 3 Kalev Lember 2012-06-28 15:28:57 EDT
Thanks for the review, Paweł!

New Package SCM Request
=======================
Package Name: mingw-webkitgtk3
Short Description: MinGW Windows GTK+ Web content engine library
Owners: kalev pfor
Branches: f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-06-28 15:33:36 EDT
Git done (by process-git-requests).
Comment 5 Kalev Lember 2012-06-29 02:54:21 EDT
Package imported and built; closing the ticket.

Note You need to log in before you can comment on or make changes to this bug.